# ExtendedSupergroupChat - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.chat.abstracts.extended / ExtendedSupergroupChat

# ExtendedSupergroupChat

(common) `interface ExtendedSupergroupChat : SupergroupChat, ExtendedGroupChat` (source)

### Properties

(common)

#### canSetStickerSet

`abstract val canSetStickerSet: Boolean`

(common)

#### slowModeDelay

`abstract val slowModeDelay: Long?`

(common)

#### stickerSetName

`abstract val stickerSetName: StickerSetName?`

### Inheritors

(common)

#### ExtendedSupergroupChatImpl

`data class ExtendedSupergroupChatImpl : ExtendedSupergroupChat`